<html>
    <head>

    </head>
    <body>
        <div>
            Received Data
        </div>
        <div>
            <table>
                <tr>
                    <th>IP</th>
                    <th>Country</th>
                    <th>ISP</th>
                    <th>Screenshot</th>
                </tr>
                {% for scraper_key in scraper %}
                    <tr>
                        <td>{{ scraper[scraper_key].get('ip', '') }}</td>
                        <td>{{ scraper[scraper_key].get('country', '') }}</td>
                        <td>{{ scraper[scraper_key].get('isp', '') }}</td>
                        <td><a href="/api/image/{{ scraper_key }}">Click to expand</a></td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </body>
</html>